Subject: Re: Unable to open an initial console

From: Vitaly Bordug <[email-masked]>
Date: Fri, 16 Dec 2005 23:09:05 +0300

Addison Baldwin wrote:
> I was sucessful to port U-Boot to our 8272 board. Now I'm experiencing
> a problem:
> 
> Our Kernel hangs with the message that says it was trasnferring
> control to linux. A post morten analyzes indicated that it stopped at
> "Unable to open an initial console" in the memory sapce where console
> output should be out (in the sdram, like I had found somewhere in this
> list, how to do it).
> 
> I have checked the bootargs values, it is ok:
> bootargs root=/dev/ram console=ttyS0,115200
> 
Only for 2.4, 2.6 is different for this.
console=ttyCPM0 should be there, and that device does have different major/minor comparing to ttyS0.
Note that the UART has to be enabled explicitly in kernel config, for more info, search this list archives.

>  We also checked our "/dev" and there was a link to console, pointing
> ttyS0. Also, ttyS0 was there too.
> 
> Does anyone have any idea how to fix it?
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
Sincerely, 
Vitaly